package vn.azteam.tpf.service.mapper;

import vn.azteam.tpf.domain.*;
import vn.azteam.tpf.service.dto.TBFunctionGroupDTO;

import org.mapstruct.*;

/**
 * Mapper for the entity TBFunctionGroup and its DTO TBFunctionGroupDTO.
 */
@Mapper(componentModel = "spring", uses = {})
public interface TBFunctionGroupMapper extends EntityMapper<TBFunctionGroupDTO, TBFunctionGroup> {



    default TBFunctionGroup fromId(Long id) {
        if (id == null) {
            return null;
        }
        TBFunctionGroup tBFunctionGroup = new TBFunctionGroup();
        tBFunctionGroup.setId(id);
        return tBFunctionGroup;
    }
}
